import { Repository } from "typeorm";
import { Coupon } from "../../common/coupon/coupon.entity";
export declare class CouponService {
    private readonly couponRepository;
    constructor(couponRepository: Repository<Coupon>);
    findActive(lang?: string): Promise<Coupon[]>;
    specialOffers(lang?: string): Promise<any[]>;
    findOne(id: number, lang?: string): Promise<any>;
}
